using Microsoft.Win32;
using System;
using System.Diagnostics;
using System.Drawing.Printing;
using System.Runtime.InteropServices;
using System.Text;
using System.Windows.Forms;

namespace OperacoesWindows
{
    public partial class Form1 : Form
    {
        enum RecycleFlags : uint
        {
            SHERB_NOCONFIRMATION = 0x00000001,
            SHERB_NOPROGRESSUI = 0x00000001,
            SHERB_NOSOUND = 0x00000004
        }

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            label2.Text = "Nome do Computador : " + Environment.MachineName;
        }

        [DllImport("Shell32.dll", CharSet = CharSet.Unicode)]
        static extern uint SHEmptyRecycleBin(IntPtr hwnd, string pszRootPath,RecycleFlags dwFlags);

        private void btnDesligar_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start("ShutDown", "/s");
        }

        private void btnReiniciar_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start("ShutDown", "/r");
        }

        private void btnDesligarWindows_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start("ShutDown", "/l");
        }

        [DllImport("winmm.dll", EntryPoint = "mciSendStringA", CharSet = CharSet.Ansi)]
        protected static extern int mciSendString(string lpstrCommand,StringBuilder lpstrReturnString,int uReturnLength,IntPtr hwndCallback);

        private void btnLimparLixeira_Click(object sender, EventArgs e)
        {
            uint result = SHEmptyRecycleBin(IntPtr.Zero, null, 0);
        }

        private void btnEjetarCDRom_Click(object sender, EventArgs e)
        {
            int ret = mciSendString("set cdaudio door open", null, 0, IntPtr.Zero);
        }

        private void btnFecharCdRoom_Click(object sender, EventArgs e)
        {
            int ret = mciSendString("set cdaudio door closed", null, 0, IntPtr.Zero);
        }

        private void btnPararInternet_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start("rasdial", "/disconnect");
        }

        private void btnAbrirNavegador_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start("iexplore.exe", textBox1.Text.Trim () );
        }

        private void btnListaImpressoras_Click(object sender, EventArgs e)
        {
            GetImpressorasInstaladas();

        }
        private void GetImpressorasInstaladas()
        {
            foreach (string nomeImpressora in PrinterSettings.InstalledPrinters)
                lbImpressoras.Items.Add(nomeImpressora);
        }

        private void btnPaginaInicial_Click(object sender, EventArgs e)
        {
            RegistryKey user = Registry.CurrentUser;
            RegistryKey change = user.OpenSubKey("Software", true).OpenSubKey("Microsoft", true).OpenSubKey("Internet Explorer", true).OpenSubKey("Main", true);
            change.SetValue("Start Page", textBox2.Text.ToString () );
         
            MessageBox.Show("Sua Home Page : " + textBox2.Text); 
        }

        private void btnEncerrar_Click(object sender, EventArgs e)
        {
            DialogResult Result = MessageBox.Show("Deseja sair ?", "Sair", MessageBoxButtons.YesNo);
            if (Result == DialogResult.Yes)
                this.Close();
        }

        private void btnExecutarComandos_Click(object sender, EventArgs e)
        {
            AbrirJanelaComandos();
        }

        private static void AbrirJanelaComandos()
        {
            // Define uma instancia da classe ProcessStartInfo
            ProcessStartInfo pro = new ProcessStartInfo();
            //Define o FileName a ser iniciado 
            pro.FileName = "cmd.exe";
            Process proStart = new Process();
            // Define o nome do Processo 
            proStart.StartInfo = pro;
            // Chama o mtodo Start da clase Process
            proStart.Start();
        }
    }
}